package com.engine.kq.service;

import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * 假期余额
 */
public interface KQBalanceOfLeaveService {

    /**
     * 获取右键菜单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getRightMenu(Map<String, Object> params, User user);

    /**
     * 获取高级搜索条件
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getSearchCondition(Map<String, Object> params, User user);

    /**
     * 获取查询结果列表
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getSearchList(Map<String, Object> params, User user);

    /**
     * 批处理
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> batchProcessing(Map<String, Object> params, User user);

    /**
     * 获取可见的页签
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getTabs(Map<String, Object> params, User user);

    /**
     * 保存修改
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> saveBalanceOfLeave(Map<String, Object> params, User user);

    /**
     * 获取导入的表单
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> getImportForm(Map<String, Object> params, User user);

    /**
     * 保存导入
     * @param params
     * @param user
     * @return
     */
    public Map<String, Object> saveImport(Map<String, Object> params, User user, HttpServletRequest request);
}
